// Sortare prin Metoda Bulelor 
// O(n^2) 
#include <fstream>
#include <algorithm>
using namespace std;

void Citeste(int a[], int& n);
void Bule(int a[] , int n);  // l
void Afiseaza(int a[], int n);

int main()
{
	int a[100], n; // sirul de sortat
	
	Citeste(a, n);
	Bule(a, n);
	Afiseaza(a, n);

	return 0;
}

void Citeste(int a[], int& n)
{
	ifstream fin("sir.in");
	
	fin >> n;    
	for ( int i = 1; i <= n; i++ )
		fin >> a[i];
		
	fin.close();
}

void Afiseaza(int a[], int n )
{
	ofstream fout("sir.out");
	for ( int i = 1; i <= n; i++ )
		fout << a[i] << " ";

	fout.close();
}

void Bule(int a[], int n)   // O(n * n ) time complexity
{                               // O(n) memory complexity
	bool sortat = false;
	while (!sortat)
	{
		sortat = true;
		for (int i = 1; i < n; ++i)
			if (a[i] > a[i + 1])
			{
				int aux = a[i];
				a[i] = a[i + 1];
				a[i + 1] = aux;
				sortat = false;
			}
	}
}







