// Sortare prin Insertie

#include <fstream>
#include <algorithm>
using namespace std;

void Citeste(int a[], int& n);
void Selectie(int a[] , int n);  // l
void Afiseaza(int a[], int n);

int main()
{
	int a[100], n; // sirul de sortat
	
	Citeste(a, n);
	Selectie(a, n);
	Afiseaza(a, n);

	return 0;
}

void Citeste(int a[], int& n)
{
	ifstream fin("sir.in");
	
	fin >> n;    
	for ( int i = 1; i <= n; i++ )
		fin >> a[i];
		
	fin.close();
}

void Afiseaza(int a[], int n )
{
	ofstream fout("sir.out");
	for ( int i = 1; i <= n; i++ )
		fout << a[i] << " ";

	fout.close();
}

void Selectie(int a[], int n)   // O(n * n ) time complexity
{                               // O(n) memory complexity
	for (int i = 1; i <= n; ++i)
	{
		int x = a[i], j;
		for (j = i - 1; j >= 0 && a[j] > x; --j)
			a[j + 1] = a[j];
       
		a[j + 1] = x;
	}
}







