// Sortare prin Selectia minimului
#include <fstream>
#include <algorithm>
using namespace std;

void Citeste(int a[], int& n);
void Selectie(int a[] , int n);  // l
void Afiseaza(int a[], int n);

int main()
{
	int a[100], n; // sirul de sortat
	
	Citeste(a, n);
	Selectie(a, n);
	Afiseaza(a, n);

	return 0;
}

void Citeste(int a[], int& n)
{
	ifstream fin("sir.in");
	
	fin >> n;    
	for ( int i = 1; i <= n; i++ )
		fin >> a[i];
		
	fin.close();
}

void Afiseaza(int a[], int n )
{
	ofstream fout("sir.out");
	for ( int i = 1; i <= n; i++ )
		fout << a[i] << " ";

	fout.close();
}

void Selectie(int a[], int n)   // O(n * n ) time complexity
{                               // O(n) memory complexity
	for (int  i = 1; i < n; i++)
	{
		int pmin = i;
		bool ok = false;
		for (int j = i + 1; j <= n; j++)  // se cauta minimul in intervalul [i...n]
			if (a[j] < a[pmin])
			{
				pmin = j;
				ok = true;
			}
  
		if ( ok )
		{
			int aux = 0;
			aux = a[i];
			a[i] = a[pmin];
			a[pmin] = aux;
		}
	}
}







